document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_12200 | ---
+++
@@ -1,8 +1,18 @@
source ../xz/plan.sh
pkg_name=xz-musl
+pkg_origin=core
pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
-pkg_deps=(core/musl)
+pkg_description="\
+XZ Utils is free general-purpose data compression software with a high \
+compression ratio. XZ Utils were written for POSIX-like... | bash |
d_bash_12201 | ---
+++
@@ -1,4 +1,8 @@
#!/bin/bash
+
+ZK_CHROOT=${ZK_CHROOT:-/}
+echo "ZK_CHROOT is ${ZK_CHROOT}"
+
function join { local IFS="$1"; shift; echo "$*"; }
@@ -10,10 +14,10 @@
zk_addr_name="${zk_name}_PORT_2181_TCP_ADDR"
zk_port_name="${zk_name}_PORT_2181_TCP_PORT"
- [ ! -z "${!zk_addr_name}" ] && h... | bash |
d_bash_12202 | ---
+++
@@ -8,5 +8,6 @@
echo "[INFO] [${SCRIPT}] Setup docker"
sudo yum install -y docker
-sudo service docker start
+sudo systemctl enable docker
+sudo systemctl start docker
sudo usermod -a -G docker ec2-user | bash |
d_bash_12203 | ---
+++
@@ -16,5 +16,5 @@
--disable=gas \
--disable=aligncheck \
--cyclo-over=40 \
- --deadline=120s \
+ --deadline=240s \
--tests "$@" | bash |
d_bash_12204 | ---
+++
@@ -5,7 +5,7 @@
set -e
-RMQ_VERSION=3.8.14
+RMQ_VERSION=3.8.19
DATA=${PWD}/codegen/rabbitmq-server-${RMQ_VERSION}/deps/rabbitmq_codegen/amqp-rabbitmq-0.9.1.json
export PYTHONPATH=${PWD}/codegen/rabbitmq-server-${RMQ_VERSION}/deps/rabbitmq_codegen
| bash |
d_bash_12205 | ---
+++
@@ -7,5 +7,4 @@
python setup.py sdist
python setup.py bdist_wheel
-#twine upload dist/*
-twine upload --repository-url https://test.pypi.org/legacy/ dist/*
+twine upload dist/* | bash |
d_bash_12206 | ---
+++
@@ -1,6 +1,5 @@
#!/bin/sh
-## 2 spaces!
+## 4 spaces!
-sed -i.bak 's/use_tab_to_indent=.*/use_tab_to_indent=false/g' ~/.config/geany/geany.conf
sed -i.bak 's/indent_type=.*/indent_type=0/g' ~/.config/geany/geany.conf
-sed -i.bak 's/pref_editor_tab_width=.*/pref_editor_tab_width=2/g' ~/.config/geany/geany.... | bash |
d_bash_12207 | ---
+++
@@ -10,10 +10,18 @@
fi
# Generate screenshot
-webkit2png http://sjd.local:5757 --ignore-ssl-check -C --clipwidth=1200 --clipheight=900 --scale=0.75 --delay=2 -o screenshot
+echo "Generating screenshot"
+webkit2png http://localhost:5757 --ignore-ssl-check -F --delay=1 -o screenshot --width=1440 --height=1... | bash |
d_bash_12208 | ---
+++
@@ -1,5 +1,9 @@
#!/bin/bash
export CFLAGS=-I$PREFIX/include make
+
+if [ ! -d "$PREFIX/bin" ]; then
+ mkdir $PREFIX/bin
+fi
mv bamhash_checksum_bam $PREFIX/bin
mv bamhash_checksum_fasta $PREFIX/bin | bash |
d_bash_12209 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-mkdir -p ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot
-pushd ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot > /dev/null 2>&1
+mkdir -p ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot/usr
+pushd ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot/usr > /dev/null 2>&1
cp -Rf "${SRC_DIR}... | bash |
d_bash_12210 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-python motion_docgen.py --file-path /Users/wlewis/data/work/beamlines/srx/commissioning/PS-R-XFD-SRX-RPT-002.xlsx --output-file srx_motion_doc
+python motion_docgen.py --file-path /Users/wlewis/data/work/beamlines/srx/commissioning/PS-R-XFD-SRX-RPT-002.xlsx --output-file srx_mo... | bash |
d_bash_12211 | ---
+++
@@ -20,7 +20,7 @@
- wait
- - command: "bats tests"
+ - command: "/usr/local/bin/bats tests"
name: "Run tests on :buildkite: agent"
timeout_in_minutes: 5
env: | bash |
d_bash_12212 | ---
+++
@@ -2,8 +2,8 @@
# Installs the Visual Studio Code (Flatpak) with favorite packages
flatpak remote-add --if-not-exists flathub \
https://dl.flathub.org/repo/flathub.flatpakrepo && \
-flatpak install --system flathub com.visualstudio.code.oss && \
-flatpak run com.visualstudio.code.oss \
+flatpak install --s... | bash |
d_bash_12213 | ---
+++
@@ -1,12 +1,17 @@
#! /bin/bash
set -e
+
+install () {
+ sudo /usr/bin/yum -y -q install "$@"
+}
yummy () {
sudo yum update
sudo yum upgrade
# test -f guest_additions.sh && /bin/bash guest_additions.sh
- sudo /usr/bin/yum -y -q install ctags sshfs openssh-server ansible
+ install... | bash |
d_bash_12214 | ---
+++
@@ -18,7 +18,7 @@
DKTB_LATEST_VERSION=$(curl -m15 -skL https://raw.githubusercontent.com/AlbanMontaigu/docker-toolbox/latest/VERSION)
# Error management
- if [ $? -eq 0 ]; then
+ if [ $? != 0 ]; then
return 1
fi
| bash |
d_bash_12215 | ---
+++
@@ -20,7 +20,9 @@
# PostgreSQL
apt-get install -y postgresql postgresql-contrib libpq-dev
apt-get install -y python-psycopg2
-sudo -u postgres createuser --superuser vagrant
+sudo -u postgres psql -c "CREATE ROLE vagrant WITH PASSWORD 'vagrant' LOGIN SUPERUSER"
+sudo -u postgres createdb -O vagrant findaco... | bash |
d_bash_12216 | ---
+++
@@ -15,7 +15,7 @@
COLLECTOR=${COLLECTOR:-"${COLLECTOR_HOST_NAME}:${COLLECTOR_PORT}"}
# Wait for the collector to start serving agents.
-wait-for-cmd.sh "nc -z ${COLLECTOR_HOST_NAME} ${COLLECTOR_PORT}" 360
+wait-for-cmd.sh "nc -z `echo ${COLLECTOR} | sed 's/:/ /'`" 360
# Assert that incoming slave agent... | bash |
d_bash_12217 | ---
+++
@@ -9,9 +9,9 @@
# Install the dependencies
sudo yum install bind-dyndb-ldap bash-completion -y
-# Install the IPA server
-sudo ipa-server-install -U -r $DOMAIN -p $PASSWORD -a $PASSWORD --setup-dns --no-forwarders
-
# Add localhost as a name server and disable rewrites
sudo sed -i "1inameserver 127.0.... | bash |
d_bash_12218 | ---
+++
@@ -9,15 +9,14 @@
fi
# Loading theme
-ZSH_THEME="dracula"
-
-autoload -U zmv
+ZSH_THEME="fishy"
# Plugins list
-plugins=(asdf command-not-found compleat docker golang git git-extras git-flow-avh gitignore gradle pip python pylint systemd zsh-syntax-highlighting zsh-autosuggestions)
+plugins=(asdf comma... | bash |
d_bash_12219 | ---
+++
@@ -7,6 +7,10 @@
source tools/ci/setup_js_env.sh
cd -
-source spec/manageiq/tools/ci/setup_ruby_env.sh
+# HACK: Temporary workaround until we can get the cross-repo scripts working properly
+# source spec/manageiq/tools/ci/setup_ruby_env.sh
+spec/manageiq/tools/ci/setup_ruby_environment.rb
+export BUNDLE_... | bash |
d_bash_12220 | ---
+++
@@ -11,4 +11,4 @@
nvm alias default 0.12
# some global packages
-npm i -g npm-check-updates
+npm i -g npm npm-check-updates | bash |
d_bash_12221 | ---
+++
@@ -3,7 +3,7 @@
set -e # exit on any error
sudo apt-get --assume-yes build-dep git
sudo apt-get --assume-yes install libssl-dev xmlto
-latest_git_version=$(git ls-remote --tags git://git.kernel.org/pub/scm/git/git.git | tail -n 1 | sed 's@.*refs/tags/\(.*\)\^{}@\1@') && echo ${latest_git_version}
+latest_... | bash |
d_bash_12222 | ---
+++
@@ -1,11 +1,13 @@
#!/bin/sh
-openstack user create --domain default --password $1 cinder
-openstack role add --project service --user cinder admin
-openstack service create --name cinder --description "OpenStack Block Storage" volume
-openstack service create --name cinderv2 --description "OpenStack Block St... | bash |
d_bash_12223 | ---
+++
@@ -1,40 +1,17 @@
-alias -s .gz=z
-alias -s .zip=z
-alias -s .Z=z
+_goodies_log "BEGIN: zshrc.zsh"
-alias e=e.sh
-alias egit='e --git'
+fpath=("$HOME/.goodies/fpath" "${fpath[@]}")
-alias openports="lsof -n -P -i4TCP|grep LISTEN"
+_prezto_source zshrc
autoload -Uz compinit
compinit
-for f in ${0:h}/... | bash |
d_bash_12224 | ---
+++
@@ -3,7 +3,7 @@
echo "$TRAVIS_BRANCH"
-if [ "$TRAVIS_BRANCH" = "master" ];
+if [ "$TRAVIS_BRANCH" = "master" ] && [ "$TRAVIS_PULL_REQUEST" != "true" ]
then
echo "Deploying!" && \
bower i && \ | bash |
d_bash_12225 | ---
+++
@@ -8,7 +8,7 @@
version=${1?}
host=`uname -n`
if test -d "$srcdir/.git"; then
- git=" `git describe --long --dirty`"
+ git=" `git -C $srcdir describe --long --dirty`"
else
git=
fi | bash |
d_bash_12226 | ---
+++
@@ -12,7 +12,7 @@
git add generate-new/Vulkan-Docs
-if ! ./regenerate.sh "$version"; then
+if ! ./regenerate.sh; then
echo "Failed to regenerate vulkan source"
git checkout src/Vulkan src/Vulkan.hs
exit 1 | bash |
d_bash_12227 | ---
+++
@@ -23,7 +23,7 @@
install_cask appcleaner
install_cask namechanger
install_cask codekit
-install_cask forklift
+install_cask cyberduck
install_cask mamp
rm -rf '/Applications/MAMP PRO'
| bash |
d_bash_12228 | ---
+++
@@ -15,5 +15,8 @@
# limitations under the License.
## Contains configuration values for interacting with the Vagrant cluster in test mode
+#Set NUM_MINIONS to minimum required for testing.
+NUM_MINIONS=2
+
KUBE_ROOT=$(dirname "${BASH_SOURCE}")/../..
source "${KUBE_ROOT}/cluster/vagrant/config-default.sh... | bash |
d_bash_12229 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/sh
+
+
+TWINE_REPOSITORY="${1:-pypi}"
cd_to_current_script_location()
@@ -27,7 +30,8 @@
publish()
{
- twine upload dist/*
+ echo ">> Uploading to: $TWINE_REPOSITORY"
+ twine upload --repository "$TWINE_REPOSITORY" dist/*
}
| bash |
d_bash_12230 | ---
+++
@@ -8,12 +8,9 @@
fi
function syncIt() {
- dirs=`find dotfiles -maxdepth 1 -mindepth 1 -type d`
-
- for d in $dirs
- do
- cp -r $d/. ~/.$(basename $d)
- done
+ rsync -ah --delete dotfiles/profile.d/ ~/.profile.d
+ rsync -ah --delete dotfiles/completion.d/ ~/.completions.d
+ rsync -ah dotfiles/vim... | bash |
d_bash_12231 | ---
+++
@@ -33,7 +33,7 @@
applyPatch $scriptDir/patches/zlib_01_nobypass.diff
chmod +x ./configure
- CFLAGS=-fPIC \
+ CFLAGS="-w -fPIC" \
CHOST=$host \
./configure \
--prefix=$PREFIX/$host \ | bash |
d_bash_12232 | ---
+++
@@ -2,5 +2,6 @@
sh configure CFLAGS="$(echo $CVMFS_BASE_CXX_FLAGS | sed s/-fvisibility=hidden//) -fPIC" \
--with-pic \
+ --disable-shared \
--prefix=$EXTERNALS_INSTALL_LOCATION
| bash |
d_bash_12233 | ---
+++
@@ -16,8 +16,10 @@
if dennis-cmd lint locale; then
if python manage.py compilemessages; then
sudo supervisorctl restart mrburns
+ else
+ echo "The .po files failed to compile in r${new_revision}." | mail -s "Glow l10n error" pmac@mozilla.com
fi
else
-... | bash |
d_bash_12234 | ---
+++
@@ -1,12 +1,40 @@
#!/bin/bash
+
+# Set the tmpdir
+if [ -z "$TMPDIR" ]; then
+ TMPDIR="/tmp"
+fi
+
+# Create a temporary build dir and make sure we clean it up. For
+# debugging, comment out the trap line.
+DEPLOY=`mktemp -d $TMPDIR/packer-www-XXXXXX`
+trap "rm -rf $DEPLOY" INT TERM EXIT
# Get the parent... | bash |
d_bash_12235 | ---
+++
@@ -26,7 +26,7 @@
# TODO: for AArch64
tests/vtables/run.sh $ARCH
fi
-if test -n "$ARCH"; then
+if test -z "$ARCH"; then
# TODO: enable for other targets
tests/ld/run.sh
fi | bash |
d_bash_12236 | ---
+++
@@ -3,8 +3,8 @@
set -e
if [ "$1" = 'ahn' ]; then
- if [ -z "$SECRETS_BUCKET_NAME" ]; then
- echo >&2 'error: missing SECRETS_BUCKET_NAME environment variable'
+ if [ -z "$SECRETS_BUCKET_NAME" ] || [ -z "$SECRETS_FILE_NAME" ] ; then
+ echo >&2 'error: missing SECRETS_BUCKET_NAME and/or SECRETS_FILE... | bash |
d_bash_12237 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
set -e
log() { echo -e "\e[36m$@\e[39m"; }
@@ -16,7 +16,8 @@
version=$(basename ${line} | sed -e 's/\.changelog//')
if [ -z "${latest_version}" ]; then
# set the latest version on the first iteration of the while loop
- echo "${latest_version:=$version}" > "... | bash |
d_bash_12238 | ---
+++
@@ -5,4 +5,4 @@
tools_path=${tools_path:-$(pwd)/../../../debug/config/common/tests/}
root_path=${root_path:-$(pwd)}
-source ${tools_path}/tools/run_tests.sh
+source ${tools_path}/tools/run_tests.sh --concurrency 1 | bash |
d_bash_12239 | ---
+++
@@ -11,7 +11,7 @@
--passphrase_path $PASSPHRASE_PATH \
--user $USER \
--account $ACCOUNT \
- --report-type student \
+ --report_type student \
--send False
python send_coaching_data_itk.py \
@@ -19,5 +19,5 @@
--passphrase_path $PASSPHRASE_PATH \
--user $USER \
--acc... | bash |
d_bash_12240 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
docker login -e $DOCKER_EMAIL -u $DOCKER_USERNAME -p $DOCKER_PASSWORD
+TAG=`if [ "$TRAVIS_BRANCH" == "master" ]; then echo "latest"; else echo $TRAVIS_BRANCH ; fi`
docker tag $REPO:$COMMIT $REPO:$TAG
docker tag $REPO:$COMMIT $REPO:travis-$TRAVIS_BUILD_NUMBER
docker push $REPO | bash |
d_bash_12241 | ---
+++
@@ -10,21 +10,25 @@
# * GHOSTSCRIPT_VERSION
#
GHOSTSCRIPT_VERSION=${GHOSTSCRIPT_VERSION:="9.20"}
+GHOSTSCRIPT_DIR=${GHOSTSCRIPT_DIR:=$HOME/cache/ghostscript-$GHOSTSCRIPT_VERSION}
set -e
-GHOSTSCRIPT_DIR=${GHOSTSCRIPT_DIR:=$HOME/ghostscript}
-CACHED_DOWNLOAD="${HOME}/cache/ghostscript-${GHOSTSCRIPT_VERSI... | bash |
d_bash_12242 | ---
+++
@@ -16,7 +16,5 @@
export PATH=$BAZEL_PREFIX/bin:$PATH
+bazel run :install -c opt -- $PREFIX/bin
-bazel build -c opt --cxxopt='-std=c++17' //...
-
-install -D bazel-bin/verilog/tools/syntax/verilog_syntax $PREFIX/bin/verilog_syntax | bash |
d_bash_12243 | ---
+++
@@ -1,4 +1,4 @@
git config --global alias.graph log --decorate --oneline --graph --branches --date-order
git config --global alias.graph-all log --decorate --oneline --graph --all --date-order
git config --global alias.gr log --decorate --oneline --graph --date-order
-git config --global alias.lg log --gra... | bash |
d_bash_12244 | ---
+++
@@ -1,8 +1,6 @@
alias pyweb='python -m SimpleHTTPServer'
alias mrs='./manage.py runserver'
alias ms='./manage.py shell'
-alias fab='nocorrect python /usr/local/bin/fab'
-alias pylint='python /usr/local/bin/pylint'
validatejson() {
cat $1 | python -m json.tool | bash |
d_bash_12245 | ---
+++
@@ -5,12 +5,14 @@
esac
# Whiteout root
-count=$(df --sync -kP / | tail -n1 | awk -F ' ' '{printf("%d",($4-1)/1024-1)}')
+count=$(df --sync -kP / | tail -n1 | awk -F ' ' '{print $4}')
+count=$(($count-1))
dd if=/dev/zero of=/tmp/whitespace bs=1M count=$count || echo "dd exit code $? is suppressed";
rm ... | bash |
d_bash_12246 | ---
+++
@@ -20,8 +20,14 @@
source "$RCFILE"
fi
+if [ -z "$MVN_CMD" ]
+then
+ export MVN_CMD=`which mvn`
+fi
+
+echo "MVN_CMD=${MVN_CMD}"
echo "JAVA_HOME=$JAVA_HOME"
echo "settings=$SETTINGSFILE"
echo "user=$ARAKHNEORG_USER"
-exec mvn deploy -DskipTests -Dcheckstyle.skip=true --settings "$SETTINGSFILE"
+exec... | bash |
d_bash_12247 | ---
+++
@@ -28,5 +28,5 @@
( which curl > /dev/null ) || ( echo "Cannot find curl command!" 1>&2 && exit 1 )
( go_build $VERSION ) || ( echo "Failed to build!" 1>&2 && exit 1 )
-( publish_binaries $VERSION ) || ( echo "Failed to publish release binaries!" 1>&2 && exit 1 )
+# ( publish_binaries $VERSION ) || ( echo... | bash |
d_bash_12248 | ---
+++
@@ -11,9 +11,14 @@
#
# You need to specify the browser you want (e.g. "google-chrome", "chromium", "firefox") as
# a parameter to the script.
-BROWSER=$1
-LIST=$(cd ~/.home-container && ls -d browser-* | sed -e 's/^browser-//g')
+if [ "$#" -lt 1 ]; then
+ echo "usage: $0 BROWSER_COMMAND" >&2
+ echo "ex... | bash |
d_bash_12249 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+npm cache clean
rm -fr ./node_modules
NODE_TLS_REJECT_UNAUTHORIZED=0 npm install | bash |
d_bash_12250 | ---
+++
@@ -4,9 +4,10 @@
brew install asciidoc &&
brew install sdl2 &&
-curl -O https://github.com/google/googletest/archive/release-1.7.0.zip &&
-unzip googletest-release-1.7.0.zip && cd googletest-release-1.7.0 &&
+curl -L -O https://github.com/google/googletest/archive/release-1.7.0.zip &&
+unzip release-1.7.0... | bash |
d_bash_12251 | ---
+++
@@ -2,3 +2,4 @@
rm -rf ../Build/Docs
cp ../Assets/Fungus/Docs/CHANGELOG.txt fungus_docs/change_log.md
/Applications/Doxygen.app/Contents/Resources/doxygen ./Doxyfile
+cp -R ../Build/Docs/* ../../snozbot.github.io | bash |
d_bash_12252 | ---
+++
@@ -32,6 +32,7 @@
brew install openvpn
brew install redis
brew install tree
+brew install watch
brew install wget
brew install youtube-dl
| bash |
d_bash_12253 | ---
+++
@@ -16,5 +16,9 @@
echo 'export VIRTUALENVWRAPPER_PYTHON=/usr/bin/python' >> ${HOME}/.bashrc
echo '. /usr/bin/virtualenvwrapper.sh' >> ${HOME}/.bashrc
. $HOME/.bashrc
+. /usr/bin/virtualenvwrapper.sh
+mkvirtualenv oooq
+#workon oooq
+. ${HOME}/Envs/oooq/bin/activate
cd /tmp/oooq
pip install --no-cache-dir... | bash |
d_bash_12254 | ---
+++
@@ -20,4 +20,6 @@
alias gcb='git copy-branch-name'
alias gb='git branch'
alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun.
-alias git-clean='git branch --merged | grep -v "\*" | xargs -n 1 git branch -d && git remote prune origin'
+
+## Delete merged branches, prune, and remove ... | bash |
d_bash_12255 | ---
+++
@@ -13,9 +13,13 @@
chown -R $APP_NAME:$APP_NAME /var/log/$APP_NAME
+chmod 755 /var/log/$APP_NAME
+
ln -s /var/log/$APP_NAME /usr/local/$APP_NAME/log
chown $APP_NAME:$APP_NAME /usr/local/$APP_NAME
+chmod 755 /usr/local/$APP_NAME/bin
+
/bin/echo "postinstall script finished"
exit 0 | bash |
d_bash_12256 | ---
+++
@@ -8,7 +8,7 @@
# on circle ci determine env variables based on branch or in case of PR
# what branch the PR is pointing to
if [[ "$CIRCLE_PULL_REQUEST" ]]; then
- BRANCH=$(curl "${CIRCLE_PULL_REQUEST}" | grep -oE 'cBioPortal/cbioportal-frontend:[^"]*' | cut -d: -f2)
+ BRANCH=$(cu... | bash |
d_bash_12257 | ---
+++
@@ -1,13 +1,21 @@
#!/bin/bash
-rm -rf dist || exit 0;
-mkdir dist;
+
+# clean up
+rm -rf tmp || exit 0;
+
+# build
npm run build;
-( cd dist
- git init
- git config user.name "Travis-CI"
- git config user.email "contact+travis-for-tddbin@uxebu.com"
-# cp ../CNAME ./CNAME
- git add .
- git commit -m "Deploye... | bash |
d_bash_12258 | ---
+++
@@ -9,7 +9,7 @@
# the required swarm files have been added.
DIMENSIONS_FILE="dimension.in"
-SLAVE_ARGUMENTS="-a https://chromium-swarm.appspot.com -p 80 "$DIMENSIONS_FILE
+SLAVE_ARGUMENTS="-a http://chromium-swarm.appspot.com -p 80 "$DIMENSIONS_FILE
SLAVE_COMMAND="python slave_machine.py "$SLAVE_ARGUMENT... | bash |
d_bash_12259 | ---
+++
@@ -11,10 +11,16 @@
say "Running script: $0"
-say "Deploying containers using Helm"
+say "Build cosmic-usage-chart"
+make
-helm install . \
+wait_timeout=600
+say "Install Cosmic Usage using cosmic-usage-chart (will wait for ${wait_timeout} seconds to complete)"
+helm install cosmic/microservices/cosmi... | bash |
d_bash_12260 | ---
+++
@@ -3,8 +3,8 @@
set -euo pipefail
# TODO: stop ignoring this. Maybe autopep8 existing stuff?
-find tools -type f -name "*.py" | xargs pep8 -r --show-source --ignore=E123,E125,E126,E127,E128,E302 || \
- echo "pep8 run failed, please fix it" >&2
+find tools -type f -name "*.py" | xargs pycodestyle -r --s... | bash |
d_bash_12261 | ---
+++
@@ -10,28 +10,47 @@
rc=0
-go_dirs() {
+function go_dirs {
go list -f '{{.Dir}}' ./... | tr '\n' '\0'
}
-echo "Running go fmt"
-diff <(echo -n) <(go_dirs | xargs -0 gofmt -s -d -l)
-rc=$((rc || $?))
+function runTest {
+ local name=$1
+ local result="SUCCESS"
+ printf "============== begin %s\n" ... | bash |
d_bash_12262 | ---
+++
@@ -9,7 +9,7 @@
# Do not deploy SNAPSHOT artifacts for PRs
if [[ "$TRAVIS_PULL_REQUEST" = "false" ]]; then
- mvn -B deploy --settings maven_deploy_settings.xml -Dmaven.test.skip=true -Dmaven.javadoc.skip=true -Dsource.skip=true -Dfindbugs.skip=true
+ mvn -B deploy --settings maven_deploy_settings.xm... | bash |
d_bash_12263 | ---
+++
@@ -1,16 +1,16 @@
#!/bin/bash
+export PHANTOM_JS="phantomjs-1.9.8-linux-x86_64"
+export PHANTOM_JS_211="phantomjs-2.1.1-linux-x86_64"
+export DEST="/usr/local/share"
-phantom_versions=(phantomjs-1.9.8-linux-x86_64 phantomjs-2.1.1-linux-x86_64)
+phantom_versions=(${PHANTOM_JS} ${PHANTOM_JS_211})
+
+set -e
+... | bash |
d_bash_12264 | ---
+++
@@ -5,16 +5,15 @@
example_tmp/node_modules/.bin/appium --session-override > appium.out &
;;
linux)
- android list targets
+ android list avd
touch /home/travis/.android/repositories.cfg
touch "$ANDROID_SDK/licenses/android-sdk-license"
echo -e "\n8933bad161af4178b1185d1a37fbf41... | bash |
d_bash_12265 | ---
+++
@@ -1,3 +1,4 @@
# Aliases
alias psgr="ps aux | grep -i" # Search running processes for string
alias cpp="rsync --progress " # Copy with progress bar, using RSYNC
+alias ssh="ssh -v " # Make ssh more talkative by default | bash |
d_bash_12266 | ---
+++
@@ -26,7 +26,7 @@
export GOPATH="$HOME/workspace/golang"
#export PYTHONPATH="$PYTHONPATH:$HOME/.local/lib/python$(python --version)/site-packages"
-if which ruby >/dev/null && which gem >/dev/null; then
- PATH="$(ruby -rubygems -e 'puts Gem.user_dir')/bin:$PATH"
-fi
+#if which ruby >/dev/null && which ge... | bash |
d_bash_12267 | ---
+++
@@ -12,7 +12,7 @@
EXISTS=$(cat /etc/group | grep ${TARGET_GID} | wc -l)
# Create new group using target GID and add plex user
-if [ $EXISTS = "0" ]; then
+if [ $EXISTS == "0" ]; then
groupadd --gid ${TARGET_GID} ${GROUP}
else
# GID exists, find group name and add
@@ -22,13 +22,13 @@
usermod -a -G ... | bash |
d_bash_12268 | ---
+++
@@ -4,6 +4,7 @@
BINARY_DIR="@CMAKE_BINARY_DIR@"
copyFile() {
+ mkdir -p -v $(dirname "$BINARY_DIR/$1")
cp -u -v "$SOURCE_DIR/$1" "$BINARY_DIR/$1"
}
| bash |
d_bash_12269 | ---
+++
@@ -16,6 +16,6 @@
CID=`docker run -itd -p 80 --hostname=benchmark.node benchmark/execution ${HOST_IP}`
CIP=`docker inspect -f '{{ .NetworkSettings.IPAddress }}' ${CID}`
echo "Container ID: ${CID} Container IP: ${CIP}"
-echo "Container json logs are in /var/log/docker/containers/${CID}/${CID}-json.log"
+ech... | bash |
d_bash_12270 | ---
+++
@@ -4,10 +4,17 @@
mkdir build
+DEST_LINUX="gs://timber-dist/linux-x86_64/timber"
+DEST_OSX="gs://timber-dist/osx/timber"
+
GOARCH=amd64 GOOS=linux go build -o build/timber-linux timber.go
-gsutil cp build/timber-linux gs://timber-dist/linux-x86_64/timber
+gsutil cp build/timber-linux $DEST_LINUX
+gsutil... | bash |
d_bash_12271 | ---
+++
@@ -2,7 +2,7 @@
sh /setup.sh
-IP_ADDRESS=`ifconfig eth0 | grep inet | grep -oP "\\d+.\\d+.\\d+.\\d+" | head -n 1`
+IP_ADDRESS=`ip addr show eth0 | grep inet | grep -oP "\\d+.\\d+.\\d+.\\d+" | head -n 1`
CMD_OPTS=""
if [[ $IEX_NAME ]] | bash |
d_bash_12272 | ---
+++
@@ -1,10 +1,11 @@
#!/bin/sh
+
starcluster start -c testcluster --force-spot-master -b .005 $BUILD_TAG
starcluster put $BUILD_TAG -u mark scripts/fetchdemon.sh fetchdemon.sh
starcluster put $BUILD_TAG -u mark *.tar.gz *.tar.gz
-DOWNSTREAM_URL=`curl $JENKINS_URL/job/package-demon/api/xml?depth=1&xpath=/fr... | bash |
d_bash_12273 | ---
+++
@@ -13,9 +13,9 @@
tests/peloton_logging_test -t $tuples -b $thread_number -c $do_check
tests/peloton_logging_test -t $tuples -b $thread_number -c $do_check -r 1
echo "-----------test with $tuples, thread $thread_number, ON $file_dir------------------"
- tests/aries_logging_test -t $tuples -b $thread... | bash |
d_bash_12274 | ---
+++
@@ -5,7 +5,7 @@
export SOURCE_DIR=/source
export NUM_THREADS=6
export MALLOC_ARENA_MAX=1
-export MAVEN_OPTS="-Xms128m -Xmx2g"
+export MAVEN_OPTS="-Xss1m -Xms128m -Xmx2g"
source /etc/profile.d/devtoolset-7.sh || true
ccache --max-size=1250M | bash |
d_bash_12275 | ---
+++
@@ -3,7 +3,6 @@
export PYTHONUNBUFFERED=1
# Get server IP from config.yml
-REGEX_IP="(?:[0-9]{1,3}\.){3}[0-9]{1,3}"
-IP=`cat config.yml | grep -oP "^server_ip:\s*$REGEX_IP" | grep -oP "$REGEX_IP"`
+IP=`perl -ne '/^server_ip:\s((?:[0-9]{1,3}\.){3}[0-9]{1,3})/ && print "$1"' config.yml`
ansible-playbook ... | bash |
d_bash_12276 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u292b10.tar.gz"
;;
java11)
- echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.10%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.10_9.t... | bash |
d_bash_12277 | ---
+++
@@ -7,4 +7,10 @@
stack setup
stack build
+
+libSegFault=/lib/x86_64-linux-gnu/libSegFault.so
+if [ -f "${libSegFault}" ]; then
+ export LD_PRELOAD="${libSegFault}"
+fi
+
stack exec -- methcla-shakefile "$target" | bash |
d_bash_12278 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash -
-cd ~/Code/GitHub/lastfm-export/
+cd ~/Code/github/lastfm-export/
if [ -r "./runConfig" ]; then
. "./runConfig"
fi | bash |
d_bash_12279 | ---
+++
@@ -10,5 +10,9 @@
# building the executables.
# c.f. https://github.com/coq/coq/pull/8313#issuecomment-416650241
+fiat_crypto_CI_TARGETS1="c-files printlite lite"
+fiat_crypto_CI_TARGETS2="print-nobigmem nobigmem"
+
( cd "${CI_BUILD_DIR}/fiat_crypto" && git submodule update --init --recursive && \
- uli... | bash |
d_bash_12280 | ---
+++
@@ -1,5 +1,5 @@
export CLOUD_SDK_DIR="$HOME/src/google-cloud-sdk"
-if [ -d "$CLOUD_SDK_DIR" ]; then
+if [ -d "${CLOUD_SDK_DIR}" ]; then
# The next line updates PATH for the Google Cloud SDK.
- export PATH=$CLOUD_SDK_DIR:$PATH
+ export PATH=${CLOUD_SDK_DIR}/bin:${PATH}
fi | bash |
d_bash_12281 | ---
+++
@@ -1,25 +1,31 @@
#!/bin/sh
-apt-get update && apt-get install -y apt-transport-https \
+export KUBEVER=1.8.0-00
+export DOCKERVER=1.12.6-0~ubuntu-xenial
+
+apt-get update && apt-get install -yq apt-transport-https \
linux-image-extra-$(uname -r) \
linux-image-extra-virtual \
ca-certificates
+#a... | bash |
d_bash_12282 | ---
+++
@@ -2,7 +2,7 @@
set -e
if [ "${1#-}" != "${1}" ] || [ -z "$(command -v "${1}")" ]; then
- set -- zsh "$@"
+ set -- remake "$@"
fi
exec "$@" | bash |
d_bash_12283 | ---
+++
@@ -4,6 +4,6 @@
sleep 20
-java -jar target/autobet-0.1-SNAPSHOT-executable.jar stats -c 10000
-java -jar target/autobet-0.1-SNAPSHOT-executable.jar eval -c 1000 -s random
-java -jar target/autobet-0.1-SNAPSHOT-executable.jar eval -c 1000 -s goal_based
+java -jar target/autobet-0.1-SNAPSHOT-executable.jar... | bash |
d_bash_12284 | ---
+++
@@ -1,24 +1,3 @@
#!/bin/bash
-echo "This script might be run with mongo in docker container with: --docker"
-while [[ $1 = -* ]]; do
- arg=$1; shift
-
- case $arg in
- --docker)
- docker 2>/dev/null
- if [ $? -ne 0 ]; then
- echo "install docker first"
- ... | bash |
d_bash_12285 | ---
+++
@@ -2,10 +2,19 @@
case "`uname -s`" in
Darwin*)
- echo "I am a Mac. Brew installing stuff."
- echo "Don't worry about warnings of things already installed."
- brew install glib libsoup yajl libusb libyaml yajl python3 cmake
- pip3 install cython
+ if [ -x /usr/local/bin/br... | bash |
d_bash_12286 | ---
+++
@@ -20,7 +20,8 @@
rm -rf ./pyodin/logs/*
#
mkdir "$DEPLOY_DIR"
-cp -aR client "$DEPLOY_DIR"
+mkdir "$DEPLOY_DIR/app"
+cp -aR client/app "$DEPLOY_DIR/app"
cp -aR install "$DEPLOY_DIR"
cp -aR pyodin "$DEPLOY_DIR"
cp -aR server "$DEPLOY_DIR" | bash |
d_bash_12287 | ---
+++
@@ -2,19 +2,16 @@
# Script to clone and install Vim bundles
-git clone https://github.com/martinrist/darcula.git
+# General Vim
git clone https://github.com/altercation/vim-colors-solarized.git
-
git clone https://github.com/scrooloose/nerdtree.git
-git clone https://github.com/scrooloose/nerdcommenter... | bash |
d_bash_12288 | ---
+++
@@ -25,7 +25,7 @@
rm -f $BUILD_FOLDER/resources/python/*.log
rm -f $BUILD_FOLDER/resources/python/uploadeddataset/*
\cp -r setup/environment.yml $BUILD_FOLDER/resources
-echo "$BUILD_DATE" > $BUILD_FOLDER/resources/version.txt
+echo "$BUILD_DATE" > $BUILD_FOLDER/resources/resources/version.txt
echo "BUILD... | bash |
d_bash_12289 | ---
+++
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+
+set -x
function relpath() {
path_to=`readlink -f "$2"`
@@ -13,13 +15,23 @@
for so_path in $(find "${embedded_dir}" -name "*.so"); do
chrpath --list "${so_path}"
if [ $? -eq 0 ]; then
- echo "-> ${so_path}"
set -e
so_dir=$(dirn... | bash |
d_bash_12290 | ---
+++
@@ -34,6 +34,12 @@
touch mysite/scripts/app.wsgi
}
+function notify_github {} {
+ ### Update deploy_$(hostname) branch on github.com so that
+ ### it is very clear which commits are deployed where.
+ git push origin HEAD:deployed_$(hostname -f)
+}
+
### Update the bug import code
cd ~/oh-bu... | bash |
d_bash_12291 | ---
+++
@@ -1,12 +1,21 @@
#!/bin/bash
SRC_PATH="vistrails"
-BIN_PATH="Contents/Resources/lib/python2.5"
+BIN_PATH_25="Contents/Resources/lib/python2.5"
+BIN_PATH_26="Contents/Resources/lib/python2.6"
DIRS="api core db gui packages tests"
if [ -z "$1" ] || [ -z "$2" ]
then
echo "usage: $0 <src_dir> <bin_di... | bash |
d_bash_12292 | ---
+++
@@ -5,9 +5,9 @@
do
if [ -b $FILE ];
then
- echo "File $FILE exists."
+ echo "USB drive is connected at $FILE"
else
- echo "File $FILE does not exist."
+ echo "USB drive not found."
fi
sleep 1
done | bash |
d_bash_12293 | ---
+++
@@ -24,5 +24,5 @@
function printPrompt() {
# No escaping of colors needed
- printf "${Cyan}~/promptig/test$(getGitColor)$(getGitText)${Cyan}$ ${ColorReset}"
+ printf "${PromptColor}~/promptig/test$(getGitColor)$(getGitText)${PromptColor}$ ${ColorReset}"
} | bash |
d_bash_12294 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash -e
DOCKER_MACHINE_DRIVER=${DOCKER_MACHINE_DRIVER:-"--driver virtualbox"}
-DOCKER_MACHINE_CREATE="docker-machine create ${DOCKER_MACHINE_DRIVER}"
+
## I am using curl to create tokens as I find it the easiest, otherwise
## one needs to either download or compile a `docker-swar... | bash |
d_bash_12295 | ---
+++
@@ -22,4 +22,4 @@
fi
export PATH=$PATH:$HOME/gopath/bin/
-goveralls -coverprofile=profile.cov -service=travis-ci
+goveralls -coverprofile=profile.cov -service=travis-ci -repotoken=sFrR9ZmLP5FLc34lOaqir67RPzYOvFPUB | bash |
d_bash_12296 | ---
+++
@@ -8,11 +8,17 @@
tag="$1"
fi
+
# Prepare sockets and logs path
#mkdir -p $socket_path
#mkdir -p $SHODAND_SCANNER_logs_destination
+# Make a preventive deletion of the container
+docker rm -f $SHODAND_SCANNER_container 2&> /dev/null
+
+# Start the container
#container_id=`docker run --restart=al... | bash |
d_bash_12297 | ---
+++
@@ -5,29 +5,11 @@
export REACT_EDITOR_PATTERN="-r -g {filename}:{line}:{column}"
function chnode() {
- if [ "$(uname -s)" != "Darwin" ]; then
- echo "macos only"
- return 1
- fi
-
- PATH_PREFIX="$(brew --prefix)/Cellar/node"
-
- # clear prior path
- # https://stackoverflow.com... | bash |
d_bash_12298 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env zsh
-local UPDATES=$(git diff --name-only origin/master..HEAD | wc -l)
+local UPDATES=$(git log --oneline --no-patch origin/master..HEAD | wc -l)
if [[ $UPDATES -gt 0 ]]; then
echo $PR_YELLOW"Updates for dotfiles detected."$PR_NO_COLOR | bash |
d_bash_12299 | ---
+++
@@ -2,11 +2,11 @@
# Do all of this and then save a snapshot
sudo apt-get update
sudo apt-get install python-pip
-sudo apt-get install ghostscript
sudo apt-get install build-essential python-dev python-setuptools \
python-numpy python-scipy \
libatlas-dev libatla... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.